Skip to main content

GetPreviousDeliveries

POST 

/twirp/ttab.newswire.Delivery/GetPreviousDeliveries

GetPreviousDeliveries is used to access individual deliveries, for example for use in a retry mechanism.

Request

Body

    body_format ttab.newswire.BodyFormat

    Possible values: [BODY_FORMAT_UNSPECIFIED, BODY_FORMAT_ALL, BODY_FORMAT_TEXT, BODY_FORMAT_HTML5, BODY_FORMAT_RICH_HTML5]

    cursors string[]

    Cursors of the deliveries to get. Use the document-specific cursors from previous calls to GetDeliveries. At most 100 cursors can be provided.

    destination string

    Destination to get deliveries for.

Responses

Method response

Schema
    items object[]

    Items included in this batch of delivery items.

  • Array [
  • annotations object
    delivery_tags string[]

    DeliveryTags for an item.

    cursor string

    Cursor to use to start a GetDeliveries request at this position.

    doc string

    Doc is the TTNINJS document as a JSON string.

    type ttab.newswire.ContentType

    Possible values: [CONTENT_UNSPECIFIED, CONTENT_NEWS, CONTENT_EDITORIAL_INFO, CONTENT_PRESS_RELEASES]

  • ]
Loading...